<!DOCTYPE html>
<html lang="en">
<head>
  <title>Animation with Canvas</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="./js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script src="./js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script type="text/javascript">
    var x = 0, y = 150, widthRect = 40;
    var direction = "right";

    $(document).ready(() => {
      if (!Modernizr.canvas)
        alert("Your browser doesn't support Canvas");
      
      animate();
    });

    function animate() {
      var canvas = document.getElementById("canvas1");
      var ctx = canvas.getContext("2d");

      ctx.clearRect(0, 0, canvas.width, canvas.height);
      ctx.strokeStyle = "yellow";
      ctx.fillStyle = "yellowGreen";
      ctx.lineWidth = 5;
      ctx.fillRect(x, y, widthRect, widthRect);
      ctx.strokeRect(x, y, widthRect, widthRect);

      updateDrawing();

      setTimeout('animate()', 1);
    }

    function updateDrawing() {
      // Direction
      defineDirection();
      if (direction == "right")
        x++;
      else
        x--;
    }

    function defineDirection() {
      var canvas = document.getElementById("canvas1");
      if (x == 0)
        direction = "right";
      else if (x == (canvas.width - widthRect))
        direction = "left";
    }

  </script>
</head>
<body>
  <h1>Animation with Canvas</h1>
  <canvas id="canvas1" width="600" height="400" style="border: dotted gray 1px">
    Your browser doesn't support the tag Canvas
  </canvas>
</body>
</html>